be.ehealth.technicalconnector.exception

## Enum TechnicalConnectorExceptionValues

- java.lang.Object
- - java.lang.Enum<TechnicalConnectorExceptionValues>
  - - be.ehealth.technicalconnector.exception.TechnicalConnectorExceptionValues

- All Implemented Interfaces:
    Serializable, Comparable<TechnicalConnectorExceptionValues>

      public enum TechnicalConnectorExceptionValues
      extends Enum<TechnicalConnectorExceptionValues>

  Enumeration for possible technical exceptions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEID_ERROR` Error while reading BeIDCard data : {0}
    `BEID_ERROR_PHOTO` Error while reading photo from beIdCard : {0}
    `BUILDER_VALIDATION_EXCEPTION` validation exception when builder is creating object to build.
    `CALLBACKHANDLER_INSTANCIATION` Problem while instanciating callback handler : {0}
    `CHARACTER_ENCODING_NOTSUPPORTED` The Character Encoding is not supported
    `CORE_TECHNICAL` General error: {0}.
    `DLL_NOT_FOUND` DLL not found : {0}
    `ERROR_BUSINESS_CODE_REASON` Error while processing business call (code={0}): {1}.
    `ERROR_CERTIFICATE_VALIDATION` Error while trying to create signature: {0}.
    `ERROR_COMPRESSION` Could not (de)compress the data.
    `ERROR_CONFIG` Configuration Error : {0}.
    `ERROR_CREATING_SOAP_FAULT` Error while creating soap fault for messageId: {0}, clientId: {1}, exception:{2}.
    `ERROR_CRYPTO` Error while trying to (un)seal: {0}.
    `ERROR_DAAS` Error while processing your KGSS call: {0}.
    `ERROR_EHBOX_DOCUMENT_OUTPUTSTREAM` Error occured while writing file {0}.
    `ERROR_EID_LOGIN` Could not validate your login (PIN) for your eID.
    `ERROR_EID_NULL` EID is not present
    `ERROR_EID_READ` Cannot read eID, is device attached and eID inserted?.
    `ERROR_EID_RUNTIME` Could not locate eID runtime.
    `ERROR_EIDPINLCALLBACKHANDLERFACTORY` Couldn't instantiate KeyStore Class with name [{0}]
    `ERROR_ETK_NOTFOUND` Could not retrieve ETK
    `ERROR_GENERAL` General Error: {0}.
    `ERROR_INPUT`
    `ERROR_INPUT_PARAMETER_NULL` Input parameter null.
    `ERROR_IOEXCEPTION` IOException occured while {0}
    `ERROR_KEYSTORE_LOAD` Error while loading the KeyStore.
    `ERROR_KEYSTORE_PASSWORD` Incorrect password for the KeyStore.
    `ERROR_KGSS` Error while processing your KGSS call: {0}.
    `ERROR_NOTAPERSON` Could not verify that you are a person.
    `ERROR_NOTFALLBACKKEYSTOREFOUND` Could not locate your fallback session keystore
    `ERROR_SAX_EXCEPTION` SAXException occured while {0}
    `ERROR_SIGNATURE` Error while trying to create signature: {0}.
    `ERROR_SIGNATURE_VALIDATION` Error while trying to validate signature: {0}.
    `ERROR_TECHNICAL` Technical Connector error.
    `ERROR_WS` Error while executing web service call: {0}.
    `ERROR_XML_INVALID` XML could not be validated against XSD.
    `ETK_SEAL_EXCEPTION` An error occurred while sealing the etk for identifierType: {0}, identifierApplicationID: {1},identifierValue: {2}.
    `HANDLER_ERROR` An error occured while instantiating the webservice security handler: {0}.
    `HARFILE` An error occured while preparing HARfile : {0}
    `HEADER_INSTANCIATION` Problem while instanciating Header : {0}
    `ID_GENERATOR_INSTANCIATION` Problem while instanciating Status checker : {0}
    `INCONSISTING_CONFIGURATION` Inconsisting configuration, expecting value [{0}] but gets [{1}]
    `INVALID_ATTRIBUTES_LENGTH` Invalid attributes array length : {0}
    `INVALID_CERTIFICATE` Invalid certificate.
    `INVALID_CONFIG` Configuration could not be validated
    `INVALID_EHBOX_NEWS_NEWSTITLE` News title can not be null.
    `INVALID_ISSUER` Invalid issuer : {0}
    `INVALID_MAPPING` Invalid Mapping : {0}
    `INVALID_MYCARENET_INPUT_OBJECT` contains validation errors in mycarenet objects.
    `INVALID_PROPERTY` Property not found in property file {0}.
    `INVALID_PROPERTY_VALUE` Property not found in property file {0}.
    `INVALID_TIMESTAMP_TOKEN` Token is invalid : {0}
    `INVALID_TOKEN` Token is invalid : {0}
    `MALFORMED_URL` Invalid url to {0} file.
    `MALFORMED_XML` Malformed XML.
    `NO_ENCRYPTIONKEYS` Identifier is empty
    `NO_FILE_CONF` No file exists for {0} configuration
    `NO_VALID_SESSION` No valid session found.
    `NO_VALID_SESSION_WITH_ENCRYPTION` No valid session with encryption found.
    `NOT_A_RECOGNISED_CARE_PROVIDER` Could not find NIHII, are you a recognized care provider? Please check certificates.
    `OID_NOTFOUND` OID could not be found : {0}
    `OID_VALUE_PARSING_ERROR` Error while parsing OID value : {0}
    `PDF_XSL_NOT_FOUND` The birthreport xsl file could not be found for the language: {0}.
    `PROPERTY_MISSING` The required property [{0}] is missing
    `PROVIDER_INSTANCIATION` Problem while instanciating AuthProvider : {0}
    `SAML_RESPONSE_EMPTY` No SAML Assertion in the response, check parameters {0}.
    `SAMLCONVERTER_ERROR` Error occurred during conversion of a saml object.
    `SECURITY_NO_CERTIFICATE` No X509 Certificate and/or Private Key provided.
    `STATUS_CHECKER_INSTANCIATION` Problem while instanciating Status checker : {0}
    `STS_ERROR_RESPONSE` An error occurred while calling the eHealth SecureTokenService.
    `STS_ERROR_RESPONSE_STATUS` The response from the eHealth SecureTokenService contains the following status code: {0}.
    `TARGETSERVICE_ERRORCODE_UNKNOWN` targetservice.errorcode.unknown", "TargetService error description: {0}.
    `UNEXPECTED_ERROR` Unexpected error occurred
    `UNKNOWN_ERROR` Unknown error occured : {0}
    `UNSUPPORTED_ENCODING_EXCEPTION` Unsupported encoding exception : {0}
    `VALIDATION_HUB_INTRA_ACKNOWLEDGE` Could not validate incoming message: {0}.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()`
    `String` | `getMessage()`
    `static TechnicalConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TechnicalConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUILDER_VALIDATION_EXCEPTION

          public static final TechnicalConnectorExceptionValues BUILDER_VALIDATION_EXCEPTION

      validation exception when builder is creating object to build. takes two parameters : the builder type , and the validation error message.

    - #### ERROR_INPUT

          public static final TechnicalConnectorExceptionValues ERROR_INPUT

    - #### ERROR_INPUT_PARAMETER_NULL

          public static final TechnicalConnectorExceptionValues ERROR_INPUT_PARAMETER_NULL

      Input parameter null.

    - #### ERROR_BUSINESS_CODE_REASON

          public static final TechnicalConnectorExceptionValues ERROR_BUSINESS_CODE_REASON

      Error while processing business call (code={0}): {1}.

    - #### INVALID_CERTIFICATE

          public static final TechnicalConnectorExceptionValues INVALID_CERTIFICATE

      Invalid certificate.

    - #### INVALID_MYCARENET_INPUT_OBJECT

          public static final TechnicalConnectorExceptionValues INVALID_MYCARENET_INPUT_OBJECT

      contains validation errors in mycarenet objects.

    - #### NO_VALID_SESSION_WITH_ENCRYPTION

          public static final TechnicalConnectorExceptionValues NO_VALID_SESSION_WITH_ENCRYPTION

      No valid session with encryption found.

    - #### NO_VALID_SESSION

          public static final TechnicalConnectorExceptionValues NO_VALID_SESSION

      No valid session found.

    - #### MALFORMED_URL

          public static final TechnicalConnectorExceptionValues MALFORMED_URL

      Invalid url to {0} file.

    - #### MALFORMED_XML

          public static final TechnicalConnectorExceptionValues MALFORMED_XML

      Malformed XML.

    - #### STS_ERROR_RESPONSE

          public static final TechnicalConnectorExceptionValues STS_ERROR_RESPONSE

      An error occurred while calling the eHealth SecureTokenService.

    - #### STS_ERROR_RESPONSE_STATUS

          public static final TechnicalConnectorExceptionValues STS_ERROR_RESPONSE_STATUS

      The response from the eHealth SecureTokenService contains the following status code: {0}.

    - #### ETK_SEAL_EXCEPTION

          public static final TechnicalConnectorExceptionValues ETK_SEAL_EXCEPTION

      An error occurred while sealing the etk for identifierType: {0}, identifierApplicationID: {1},identifierValue: {2}.

    - #### PDF_XSL_NOT_FOUND

          public static final TechnicalConnectorExceptionValues PDF_XSL_NOT_FOUND

      The birthreport xsl file could not be found for the language: {0}.

    - #### ERROR_CREATING_SOAP_FAULT

          public static final TechnicalConnectorExceptionValues ERROR_CREATING_SOAP_FAULT

      Error while creating soap fault for messageId: {0}, clientId: {1}, exception:{2}.

    - #### HANDLER_ERROR

          public static final TechnicalConnectorExceptionValues HANDLER_ERROR

      An error occured while instantiating the webservice security handler: {0}.

    - #### SAML_RESPONSE_EMPTY

          public static final TechnicalConnectorExceptionValues SAML_RESPONSE_EMPTY

      No SAML Assertion in the response, check parameters {0}.

    - #### ERROR_KEYSTORE_LOAD

          public static final TechnicalConnectorExceptionValues ERROR_KEYSTORE_LOAD

      Error while loading the KeyStore.

    - #### ERROR_CRYPTO

          public static final TechnicalConnectorExceptionValues ERROR_CRYPTO

      Error while trying to (un)seal: {0}.

    - #### ERROR_SIGNATURE_VALIDATION

          public static final TechnicalConnectorExceptionValues ERROR_SIGNATURE_VALIDATION

      Error while trying to validate signature: {0}.

    - #### ERROR_CERTIFICATE_VALIDATION

          public static final TechnicalConnectorExceptionValues ERROR_CERTIFICATE_VALIDATION

      Error while trying to create signature: {0}.

    - #### ERROR_SIGNATURE

          public static final TechnicalConnectorExceptionValues ERROR_SIGNATURE

      Error while trying to create signature: {0}.

    - #### ERROR_KGSS

          public static final TechnicalConnectorExceptionValues ERROR_KGSS

      Error while processing your KGSS call: {0}.

    - #### ERROR_DAAS

          public static final TechnicalConnectorExceptionValues ERROR_DAAS

      Error while processing your KGSS call: {0}.

    - #### ERROR_WS

          public static final TechnicalConnectorExceptionValues ERROR_WS

      Error while executing web service call: {0}.

    - #### CORE_TECHNICAL

          public static final TechnicalConnectorExceptionValues CORE_TECHNICAL

      General error: {0}.

    - #### ERROR_COMPRESSION

          public static final TechnicalConnectorExceptionValues ERROR_COMPRESSION

      Could not (de)compress the data.

    - #### SECURITY_NO_CERTIFICATE

          public static final TechnicalConnectorExceptionValues SECURITY_NO_CERTIFICATE

      No X509 Certificate and/or Private Key provided.

    - #### ERROR_KEYSTORE_PASSWORD

          public static final TechnicalConnectorExceptionValues ERROR_KEYSTORE_PASSWORD

      Incorrect password for the KeyStore. (path={0}).

    - #### ERROR_EID_READ

          public static final TechnicalConnectorExceptionValues ERROR_EID_READ

      Cannot read eID, is device attached and eID inserted?.

    - #### ERROR_EID_LOGIN

          public static final TechnicalConnectorExceptionValues ERROR_EID_LOGIN

      Could not validate your login (PIN) for your eID.

    - #### ERROR_EID_RUNTIME

          public static final TechnicalConnectorExceptionValues ERROR_EID_RUNTIME

      Could not locate eID runtime.

    - #### ERROR_CONFIG

          public static final TechnicalConnectorExceptionValues ERROR_CONFIG

      Configuration Error : {0}.

    - #### SAMLCONVERTER_ERROR

          public static final TechnicalConnectorExceptionValues SAMLCONVERTER_ERROR

      Error occurred during conversion of a saml object.

    - #### ERROR_GENERAL

          public static final TechnicalConnectorExceptionValues ERROR_GENERAL

      General Error: {0}.

    - #### ERROR_TECHNICAL

          public static final TechnicalConnectorExceptionValues ERROR_TECHNICAL

      Technical Connector error. {0}.

    - #### TARGETSERVICE_ERRORCODE_UNKNOWN

          public static final TechnicalConnectorExceptionValues TARGETSERVICE_ERRORCODE_UNKNOWN

      targetservice.errorcode.unknown", "TargetService error description: {0}.

    - #### ERROR_XML_INVALID

          public static final TechnicalConnectorExceptionValues ERROR_XML_INVALID

      XML could not be validated against XSD. {0}.

    - #### VALIDATION_HUB_INTRA_ACKNOWLEDGE

          public static final TechnicalConnectorExceptionValues VALIDATION_HUB_INTRA_ACKNOWLEDGE

      Could not validate incoming message: {0}.

    - #### INVALID_PROPERTY

          public static final TechnicalConnectorExceptionValues INVALID_PROPERTY

      Property not found in property file {0}.

    - #### INVALID_EHBOX_NEWS_NEWSTITLE

          public static final TechnicalConnectorExceptionValues INVALID_EHBOX_NEWS_NEWSTITLE

      News title can not be null.

    - #### ERROR_EHBOX_DOCUMENT_OUTPUTSTREAM

          public static final TechnicalConnectorExceptionValues ERROR_EHBOX_DOCUMENT_OUTPUTSTREAM

      Error occured while writing file {0}.

    - #### NOT_A_RECOGNISED_CARE_PROVIDER

          public static final TechnicalConnectorExceptionValues NOT_A_RECOGNISED_CARE_PROVIDER

      Could not find NIHII, are you a recognized care provider? Please check certificates. (STS)

    - #### ERROR_NOTAPERSON

          public static final TechnicalConnectorExceptionValues ERROR_NOTAPERSON

      Could not verify that you are a person. Please check certificates. (STS)

    - #### ERROR_ETK_NOTFOUND

          public static final TechnicalConnectorExceptionValues ERROR_ETK_NOTFOUND

      Could not retrieve ETK

    - #### ERROR_NOTFALLBACKKEYSTOREFOUND

          public static final TechnicalConnectorExceptionValues ERROR_NOTFALLBACKKEYSTOREFOUND

      Could not locate your fallback session keystore

    - #### CHARACTER_ENCODING_NOTSUPPORTED

          public static final TechnicalConnectorExceptionValues CHARACTER_ENCODING_NOTSUPPORTED

      The Character Encoding is not supported

    - #### INVALID_MAPPING

          public static final TechnicalConnectorExceptionValues INVALID_MAPPING

      Invalid Mapping : {0}

    - #### UNSUPPORTED_ENCODING_EXCEPTION

          public static final TechnicalConnectorExceptionValues UNSUPPORTED_ENCODING_EXCEPTION

      Unsupported encoding exception : {0}

    - #### INVALID_TOKEN

          public static final TechnicalConnectorExceptionValues INVALID_TOKEN

      Token is invalid : {0}

    - #### INVALID_TIMESTAMP_TOKEN

          public static final TechnicalConnectorExceptionValues INVALID_TIMESTAMP_TOKEN

      Token is invalid : {0}

    - #### INVALID_CONFIG

          public static final TechnicalConnectorExceptionValues INVALID_CONFIG

      Configuration could not be validated

    - #### INVALID_ATTRIBUTES_LENGTH

          public static final TechnicalConnectorExceptionValues INVALID_ATTRIBUTES_LENGTH

      Invalid attributes array length : {0}

    - #### UNKNOWN_ERROR

          public static final TechnicalConnectorExceptionValues UNKNOWN_ERROR

      Unknown error occured : {0}

    - #### ERROR_IOEXCEPTION

          public static final TechnicalConnectorExceptionValues ERROR_IOEXCEPTION

      IOException occured while {0}

    - #### NO_ENCRYPTIONKEYS

          public static final TechnicalConnectorExceptionValues NO_ENCRYPTIONKEYS

      Identifier is empty

    - #### CALLBACKHANDLER_INSTANCIATION

          public static final TechnicalConnectorExceptionValues CALLBACKHANDLER_INSTANCIATION

      Problem while instanciating callback handler : {0}

    - #### PROVIDER_INSTANCIATION

          public static final TechnicalConnectorExceptionValues PROVIDER_INSTANCIATION

      Problem while instanciating AuthProvider : {0}

    - #### HEADER_INSTANCIATION

          public static final TechnicalConnectorExceptionValues HEADER_INSTANCIATION

      Problem while instanciating Header : {0}

    - #### OID_NOTFOUND

          public static final TechnicalConnectorExceptionValues OID_NOTFOUND

      OID could not be found : {0}

    - #### INVALID_ISSUER

          public static final TechnicalConnectorExceptionValues INVALID_ISSUER

      Invalid issuer : {0}

    - #### OID_VALUE_PARSING_ERROR

          public static final TechnicalConnectorExceptionValues OID_VALUE_PARSING_ERROR

      Error while parsing OID value : {0}

    - #### NO_FILE_CONF

          public static final TechnicalConnectorExceptionValues NO_FILE_CONF

      No file exists for {0} configuration

    - #### DLL_NOT_FOUND

          public static final TechnicalConnectorExceptionValues DLL_NOT_FOUND

      DLL not found : {0}

    - #### INCONSISTING_CONFIGURATION

          public static final TechnicalConnectorExceptionValues INCONSISTING_CONFIGURATION

      Inconsisting configuration, expecting value [{0}] but gets [{1}]

    - #### ERROR_EIDPINLCALLBACKHANDLERFACTORY

          public static final TechnicalConnectorExceptionValues ERROR_EIDPINLCALLBACKHANDLERFACTORY

      Couldn't instantiate KeyStore Class with name [{0}]

    - #### STATUS_CHECKER_INSTANCIATION

          public static final TechnicalConnectorExceptionValues STATUS_CHECKER_INSTANCIATION

      Problem while instanciating Status checker : {0}

    - #### ID_GENERATOR_INSTANCIATION

          public static final TechnicalConnectorExceptionValues ID_GENERATOR_INSTANCIATION

      Problem while instanciating Status checker : {0}

    - #### ERROR_EID_NULL

          public static final TechnicalConnectorExceptionValues ERROR_EID_NULL

      EID is not present

    - #### PROPERTY_MISSING

          public static final TechnicalConnectorExceptionValues PROPERTY_MISSING

      The required property [{0}] is missing

    - #### BEID_ERROR

          public static final TechnicalConnectorExceptionValues BEID_ERROR

      Error while reading BeIDCard data : {0}

    - #### BEID_ERROR_PHOTO

          public static final TechnicalConnectorExceptionValues BEID_ERROR_PHOTO

      Error while reading photo from beIdCard : {0}

    - #### HARFILE

          public static final TechnicalConnectorExceptionValues HARFILE

      An error occured while preparing HARfile : {0}

    - #### ERROR_SAX_EXCEPTION

          public static final TechnicalConnectorExceptionValues ERROR_SAX_EXCEPTION

      SAXException occured while {0}

    - #### INVALID_PROPERTY_VALUE

          public static final TechnicalConnectorExceptionValues INVALID_PROPERTY_VALUE

      Property not found in property file {0}.

    - #### UNEXPECTED_ERROR

          public static final TechnicalConnectorExceptionValues UNEXPECTED_ERROR

      Unexpected error occurred

  - ### Method Detail

    - #### values

          public static TechnicalConnectorExceptionValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TechnicalConnectorExceptionValues c : TechnicalConnectorExceptionValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TechnicalConnectorExceptionValues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getErrorCode

          public String getErrorCode()

      Returns:
        error code

    - #### getMessage

          public String getMessage()

      Returns:
        error message

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.